# Generated by Django 4.0.4 on 2022-05-10 07:03

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('category', '0001_initial'),
        ('attribute', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='DetailGroup',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('sort_order', models.PositiveIntegerField(blank=True, default=0)),
            ],
            options={
                'ordering': ['sort_order'],
            },
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('sort_order', models.PositiveIntegerField(blank=True, default=0)),
                ('active', models.BooleanField(default=False)),
                ('price', models.DecimalField(decimal_places=2, max_digits=15, null=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated', models.DateTimeField(default=django.utils.timezone.now)),
                ('slug', models.CharField(max_length=256, unique=True)),
                ('text', models.TextField(blank=True, verbose_name='Content')),
                ('title', models.CharField(blank=True, max_length=256)),
                ('h1', models.CharField(blank=True, max_length=256)),
                ('description', models.CharField(blank=True, max_length=256)),
                ('keyword', models.CharField(blank=True, max_length=256)),
                ('analogues', models.ManyToManyField(blank=True, related_name='+', to='product.product')),
                ('attributes', models.ManyToManyField(blank=True, related_name='products', related_query_name='product', to='attribute.attribute')),
                ('category', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='products', to='category.category')),
            ],
            options={
                'ordering': ['-sort_order'],
            },
        ),
        migrations.CreateModel(
            name='Sticker',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('sort_order', models.PositiveIntegerField(blank=True, default=0)),
                ('class_name', models.CharField(blank=True, choices=[('is-primary', 'is-primary'), ('is-link', 'is-link'), ('is-info', 'is-info'), ('is-success', 'is-success'), ('is-warning', 'is-warning'), ('is-danger', 'is-danger')], max_length=16)),
            ],
            options={
                'ordering': ['sort_order'],
            },
        ),
        migrations.CreateModel(
            name='ReviewImage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.PositiveIntegerField(blank=True, default=0)),
                ('image', models.ImageField(upload_to='product/static/review/images/')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='review_images', to='product.product')),
            ],
            options={
                'ordering': ['sort_order'],
            },
        ),
        migrations.CreateModel(
            name='Review',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('active', models.BooleanField(default=False)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated', models.DateTimeField(default=django.utils.timezone.now)),
                ('text', models.TextField(blank=True, verbose_name='Review')),
                ('rate', models.PositiveSmallIntegerField(choices=[(1, 1), (2, 2), (3, 3), (4, 4), (5, 5)])),
                ('product', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='reviews', to='product.product')),
            ],
            options={
                'ordering': ['-created'],
            },
        ),
        migrations.CreateModel(
            name='ProductImage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.PositiveIntegerField(blank=True, default=0)),
                ('image', models.ImageField(upload_to='product/static/product/images/')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='product_images', to='product.product')),
            ],
            options={
                'ordering': ['sort_order'],
                'get_latest_by': ['sort_order'],
            },
        ),
        migrations.AddField(
            model_name='product',
            name='stickers',
            field=models.ManyToManyField(blank=True, related_name='products', related_query_name='product', to='product.sticker'),
        ),
        migrations.CreateModel(
            name='Option',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('price', models.DecimalField(decimal_places=2, max_digits=15, null=True)),
                ('attribute', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='options', to='attribute.attribute')),
                ('product', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='options', to='product.product')),
            ],
            options={
                'ordering': ['price'],
            },
        ),
        migrations.CreateModel(
            name='Detail',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('sort_order', models.PositiveIntegerField(blank=True, default=0)),
                ('text', models.TextField(blank=True, verbose_name='Content')),
                ('detail_group', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='details', related_query_name='detail', to='product.detailgroup')),
                ('products', models.ManyToManyField(related_name='details', related_query_name='detail', to='product.product')),
            ],
            options={
                'ordering': ['sort_order'],
            },
        ),
    ]
